Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlGrep

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordReader
          com.servingxml.components.sql.SqlGrep

All Implemented Interfaces:
  RecordReader

    public class SqlGrep

extends AbstractRecordReader
implements RecordReader

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordReader
`NULL`

Constructor Summary
`SqlGrep(java.lang.String[] catalogs, java.lang.String tablePattern, java.lang.String columnPattern, SubstitutionExpr valueExpr, java.lang.String[] tableType, int maxRowsPerTable, int maxLength, JdbcConnectionPool connectionPool)`

Method Summary
`PatternMatcher` | `likeToPatternMatcher(java.lang.String pattern)`
`void` | `readRecords(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordReader
`close, discardRecord, endRecordStream, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter, startRecordStream, writeRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`discardRecord, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter`

Constructor Detail

### SqlGrep

    public SqlGrep(java.lang.String[] catalogs,
                   java.lang.String tablePattern,
                   java.lang.String columnPattern,
                   SubstitutionExpr valueExpr,
                   java.lang.String[] tableType,
                   int maxRowsPerTable,
                   int maxLength,
                   JdbcConnectionPool connectionPool)

Method Detail

### readRecords

    public void readRecords(ServiceContext context,
                            Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

### likeToPatternMatcher

    public PatternMatcher likeToPatternMatcher(java.lang.String pattern)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD